service:
    name: SaveHistory
    fields:
      user_id: ["integer", "required", "User#id"]
      article_id: ["integer", "required", "Article#id"]
    traits: [
      Illuminate\Notifications\Notifiable,
      Illuminate\Database\Eloquent\SoftDeletes,
      Usermp\LaravelFilter\Traits\Filterable
    ]
